--$Name:Семь ночей Самайна$
--$Version:0.0.1-alpha$

instead_version "1.5.0"

require "para"
require "quotes"
require "dash"
require "hideinv"
require "timer"
require "xact"
dofile "intro.lua"
dofile "smith_ch1.lua"
dofile "samantha_ch1.lua"
dofile "michael_ch1.lua"

function init()
	_books_seen = false;
	_town_seen = false;
	_decision = 0;
	_smith_scale = 0;
	_michael_scale = 0;
	_samantha_scale = 0;
end

function decisionmake(q,ch)
	if _decision == 0 then
		if ch == 'smith' then
			_smith_scale = _smith_scale + q;
		elseif ch == 'michael' then
			_michael_scale = _michael_scale + q;
		elseif ch == 'samantha' then
			_samantha_scale = _samantha_scale + q;
		end
		if _smith_scale >= 90 then
			_decision = 1;
			pn [[^^Образы и мысли в голове Финнегана сливаются в одно, конкретное решение. Самое главное -- дать отпор нечисти и защитить жителей Нью-Хэйвена. Единственный человек, который может справиться с этим — это внук Эрика Смита, Джон, который унаследовал отвагу и сноровку деда. Патрик был крестным отцом Джону и помнит его с пелёнок. Несмотря на юный возраст, он стал настоящим солдатом, которому нет равных в стрельбе и фехтовании.]];
		elseif _michael_scale >= 90 then
			_decision = 2;
			pn [[^^Образы и мысли в голове Финнегана сливаются в одно, конкретное решение. Этому городу не хватает Слова Божьего... а Патрику не хватает друга. Финнегану осталось совсем немного, и перед смертью он хотел бы повидаться с преподобным Майклом. Он подарит покой и Патрику, и Нью-Хэйвену.]];
		elseif _samantha_scale >= 90 then
			_decision = 3;
			pn [[^^Образы и мысли в голове Финнегана сливаются в одно, конкретное решение. В первую очередь нужно понять, откуда приходит нежить, как это связано с Самайном и почему именно Нью-Хэйвен  стал их целью. Что движет потусторонней силой и какова их конечная цель? На эти вопросы может ответить профессор антропологии Харви Уолтерс, живущий в соседнем городе. Никто не знает историю этого места лучше, чем он.]];
		end
	end
end

smith = player {
	nam = 'Джон Смит';
	where = smith_one;
};

samantha = player {
	nam = 'Саманта Флетчер';
	where = samantha_one;
};

michael = player {
	nam = 'Майкл Маккалох';
	where = michael_one;
};